Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class FileLoader

    java.lang.Object
      au.com.redhillconsulting.simian.FileLoader

    public final class FileLoader

extends java.lang.Object

Loads files into a checker. Instances can be re-used to load multiple successive files into the same checker.

Version:
  $Id: FileLoader.java 2991 2007-06-06 00:58:48Z haruki_zaemon $
Author:
  Simon Harris

Constructor Summary
`FileLoader(StreamLoader streamLoader)` Constructor.

Method Summary
`void` | `load(java.io.File file)` Loads a single file.
`void` | `load(java.io.File[] files)` Loads an array of files.
`void` | `load(java.lang.String filename)` Loads a single file.
`void` | `load(java.lang.String[] filenames)` Loads an array of files.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileLoader

    public FileLoader(StreamLoader streamLoader)

  Constructor.

  Parameters:
    `streamLoader` -

Method Detail

### load

    public void load(java.io.File file)
              throws java.io.IOException

  Loads a single file.

  Parameters:
    `file` - The file.
  Throws:
    `java.io.IOException` - if an error occurs loading the file.

### load

    public void load(java.io.File[] files)
              throws java.io.IOException

  Loads an array of files.

  Parameters:
    `files` - The files.
  Throws:
    `java.io.IOException` - if an error occurs loading the file.

### load

    public void load(java.lang.String[] filenames)
              throws java.io.IOException

  Loads an array of files.

  Parameters:
    `filenames` - The file names.
  Throws:
    `java.io.IOException` - if an error occurs loading the file.

### load

    public void load(java.lang.String filename)
              throws java.io.IOException

  Loads a single file.

  Parameters:
    `filename` - The file name.
  Throws:
    `java.io.IOException` - if an error occurs loading the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.